summaryrefslogtreecommitdiffstats
path: root/conductor/tools
diff options
context:
space:
mode:
authorrl001m <ruilu@research.att.com>2017-12-17 09:04:31 -0500
committerrl001m <ruilu@research.att.com>2017-12-17 09:05:11 -0500
commit710d958a29198b6633236c1b7cad12babfe46833 (patch)
tree5819d23e6a3b9d4e111b3debaf41ee7fe7731a78 /conductor/tools
parent22cff5d3b51d9aa2d4fd11f657264e41063add1c (diff)
Added all common modules in conductor directory
Added the common modules used by all the other components of Homing Optimizer. Change-Id: I6e8a991b54ef422da66b3174f27f6998731ec188 Issue-ID: OPTFRA-11 Signed-off-by: rl001m <ruilu@research.att.com>
Diffstat (limited to 'conductor/tools')
-rw-r--r--conductor/tools/README.md1
-rwxr-xr-xconductor/tools/pretty_tox.sh35
2 files changed, 36 insertions, 0 deletions
diff --git a/conductor/tools/README.md b/conductor/tools/README.md
new file mode 100644
index 0000000..cba4b77
--- /dev/null
+++ b/conductor/tools/README.md
@@ -0,0 +1 @@
+Files in this directory are general developer tools or examples of how to do certain activities.
diff --git a/conductor/tools/pretty_tox.sh b/conductor/tools/pretty_tox.sh
new file mode 100755
index 0000000..190b39d
--- /dev/null
+++ b/conductor/tools/pretty_tox.sh
@@ -0,0 +1,35 @@
+#!/usr/bin/env bash
+#
+# -------------------------------------------------------------------------
+# Copyright (c) 2015-2017 AT&T Intellectual Property
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# -------------------------------------------------------------------------
+#
+
+
+set -o pipefail
+
+TESTRARGS=$1
+
+# --until-failure is not compatible with --subunit see:
+#
+# https://bugs.launchpad.net/testrepository/+bug/1411804
+#
+# this work around exists until that is addressed
+if [[ "$TESTARGS" =~ "until-failure" ]]; then
+ python setup.py testr --slowest --testr-args="$TESTRARGS"
+else
+ python setup.py testr --slowest --testr-args="--subunit $TESTRARGS" | subunit-trace -f
+fi